package com.sd.business.service.inventory;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.service.BaseService;
import com.sd.business.entity.inventory.dto.InventoryFinishedSelectDto;
import com.sd.business.entity.inventory.po.InventoryFinishedTemporary;
import com.sd.business.entity.inventory.vo.InventoryFinishedTemporaryVo;

import java.util.List;

/**
 * <p>
 * 成品暂存仓库 服务类
 * </p>
 *
 * @author
 * @since 2023-11-15
 */
public interface InventoryFinishedTemporaryService extends BaseService<InventoryFinishedTemporary> {

    /**
     * 分页
     * @param dto
     * @return
     */
    Page<InventoryFinishedTemporaryVo> getPage(InventoryFinishedSelectDto dto);

    /**
     * 出入库新增
     * @param list
     * @param isIn
     */
    void inOut(List<InventoryFinishedTemporary> list, boolean isIn);
}
